openapi: 3.0.0
servers:
- description: "Test server"
  url: "http://127.0.0.1:4200"
#- description: "SwaggerHub API Auto Mocking"
#  url: "https://virtserver.swaggerhub.com/VNGRealisatie/api/Claim-handelingen/v00"
info:
  title: "Claimhandelingen"
  description: "Een API om te verkennen in hoeverre een aangeleverde boom-structuur van een handeling is om te zetten in claims."
  version: 0.0.1
  contact:
    email: "standaarden.ondersteuning@vng.nl"
  license:
    name: "European Union Public License, version 1.2 (EUPL-1.2)"
    url: "https://eupl.eu/1.2/nl/"
paths:
  /registratiegeboorte:
    post:
      operationId: "registratiegeboorte"
      description: "De operatie waarmee de geboorte van een persoon wordt geregistreerd."
      requestBody:
        content:
          application/hal+json:
            schema:
              $ref: "#/components/schemas/RegistratieGeboorte"
      responses:
        201:
          description: "Created"
          headers:
            api-version:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/api_version"
            warning:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/warning"
          content:
            application/hal+json:
              schema:
                $ref: "#/components/schemas/RegistratieGeboorte"
      tags:
      - "Registratie-handelingen"
  /correctievoornaam/{id}:
    post:
      operationId: "correctievoornaam"
      description: "De operatie waarmee de voornaam van ee persoon wordt gecorrigeerd."
      parameters:
      - in: "path"
        name: "id"
        description: "Unieke (technische) identificatiecode van de persoon."
        required: true
        schema:
          type: "string"
      requestBody:
        content:
          application/hal+json:
            schema:
              $ref: "#/components/schemas/CorrectieVoornaam"
      responses:
        201:
          description: "Created"
          headers:
            api-version:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/api_version"
            warning:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/warning"
          content:
            application/hal+json:
              schema:
                $ref: "#/components/schemas/CorrectieVoornaam"
      tags:
      - "Correctie-handelingen"
  /registratieadoptie/{id}:
    post:
      operationId: "registratieadoptie"
      description: "De operatie waarmee de adoptie van een kind wordt geregistreerd."
      parameters:
      - in: "path"
        name: "id"
        description: "Unieke (technische) identificatiecode van de persoon."
        required: true
        schema:
          type: "string"
      requestBody:
        content:
          application/hal+json:
            schema:
              $ref: "#/components/schemas/RegistratieAdoptie"
      responses:
        201:
          description: "Created"
          headers:
            api-version:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/api_version"
            warning:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/warning"
          content:
            application/hal+json:
              schema:
                $ref: "#/components/schemas/RegistratieAdoptie"
      tags:
      - "Registratie-handelingen"
  /registratiegeslachtswijziging/{id}:
    post:
      operationId: "registratiegslachtswijziging"
      description: "De operatie waarmee de geslachtswijziging van een persoon wordt geregistreerd."
      parameters:
      - in: "path"
        name: "id"
        description: "Unieke (technische) identificatiecode van de persoon."
        required: true
        schema:
          type: "string"
      requestBody:
        content:
          application/hal+json:
            schema:
              $ref: "#/components/schemas/RegistratieGeslachtswijziging"
      responses:
        201:
          description: "Created"
          headers:
            api-version:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/api_version"
            warning:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/warning"
          content:
            application/hal+json:
              schema:
                $ref: "#/components/schemas/RegistratieGeslachtswijziging"
      tags:
      - "Registratie-handelingen"
  /vergeetoudesituatiebijgeslachtswijziging/{id}:
    post:
      operationId: "vergeetoudesituatiebijgeslachtswijziging"
      description: "De operatie waarmee de oude situatie van voor de geslachtswijziging van een persoon wordt vergeten."
      parameters:
      - in: "path"
        name: "id"
        description: "Unieke (technische) identificatiecode van de persoon."
        required: true
        schema:
          type: "string"
      requestBody:
        content:
          application/hal+json:
            schema:
              $ref: "#/components/schemas/VergeetOudeSituatieBijGeslachtswijziging"
      responses:
        201:
          description: "Created"
          headers:
            api-version:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/api_version"
            warning:
              $ref: "https://raw.githubusercontent.com/VNG-Realisatie/API-Kennisbank/master/common/common.yaml#/components/headers/warning"
          content:
            application/hal+json:
              schema:
                $ref: "#/components/schemas/VergeetOudeSituatieBijGeslachtswijziging"
      tags:
      - "Vergeet-handelingen"
components:
  schemas:
    RegistratieGeboorte:
      type: "object"
      properties:
        id:
          type: "string"
          readOnly: true
        rechtsgrond: 
          type: "string"
          enum: ["Burgelijk Wetboek, Boek1, Artikel2"]
        toelichting: 
          type: "string"
          enum: ["De registratie van de geboorte van een kind in het Basisregister Personen."]
        startdatumGeldigheid: 
          type: "string"
#         format: "datetime"
        persoon:
          type: "object"
          properties:
            id:
              type: "string"
              readOnly: true
            voornaam: 
              type: "string"
            voorvoegsels:
              type: "string"
            achternaam: 
              type: "string"
        document:
          type: "object"
          properties:
            id: 
              type: "string"
              readOnly: true
            omschrijving:
              type: "string"
              enum: ["Geboorteakte"]
    CorrectieVoornaam:
      type: "object"
      properties:
        id:
          type: "string"
          readOnly: true
        rechtsgrond: 
          type: "string"
          enum: ["Burgelijk Wetboek, Boek1, Artikel7"]
        toelichting: 
          type: "string"
          enum: ["Naam was eerder foutief overgenomen uit geboorteakte."]
        startdatumGeldigheid: 
          type: "string"
#         format: "datetime"        
        persoon:
          type: "object"
          properties:
            id:
              type: "string"
              readOnly: true
            voornaam: 
              type: "string"
        document:
          type: "object"
          properties:
            id: 
              type: "string"
              readOnly: true
            omschrijving:
              type: "string"
              enum: ["Geboorteakte"]
    RegistratieAdoptie:
      type: "object"
      properties:
        id:
          type: "string"
          readOnly: true
        rechtsgrond: 
          type: "string"
          enum: ["Wet op de Adoptie"]
        toelichting: 
          type: "string"
          enum: ["Kind is geadopteerd en heeft een nieuwe naam gekregen."]
        startdatumGeldigheid: 
          type: "string"
#         format: "datetime"        
        persoon:
          type: "object"
          properties:
            id:
              type: "string"
              readOnly: true
            voornaam: 
              type: "string"
            achternaam: 
              type: "string"
#        ouder1:
#          type: "object"
#          properties:
#            id:
#              type: "string"
#              readOnly: true
#            voornaam: 
#              type: "string"
#            achternaam: 
#             type: "string"    
#        ouder2:
#          type: "object"
#          properties:
#            id:
#              type: "string"
#              readOnly: true
#            voornaam: 
#              type: "string"
#            achternaam: 
#              type: "string"              
        document:
          type: "object"
          properties:
            id: 
              type: "string"
              readOnly: true
            omschrijving:
              type: "string"
              enum: ["Adoptieakte"]
    RegistratieGeslachtswijziging:
      type: "object"
      properties:
        id:
          type: "string"
          readOnly: true
        rechtsgrond: 
          type: "string"
          enum: ["Wet BRP Artikel 2.59 lid 3"]
        toelichting: 
          type: "string"
          enum: ["N.a.v. formeel verzoek om de registratie van de wijziging van het geslacht van persoon in het Personenrgeister te wijzigen"]
        startdatumGeldigheid: 
          type: "string"
#          format: "datetime"        
        persoon:
          type: "object"
          properties:
            id:
              type: "string"
              readOnly: true
            voornaam: 
              type: "string"
#            geslacht:
#              type: "string"
#              enum: ["man", "vrouw", "onbekend"]
        document:
          type: "object"
          properties:
            id: 
              type: "string"
              readOnly: true
            omschrijving:
              type: "string"
              enum: ["Geslachtswijzigingsakte"]
    VergeetOudeSituatieBijGeslachtswijziging:
      type: "object"
      properties:
        id:
          type: "string"
          readOnly: true
        rechtsgrond: 
          type: "string"
          enum: ["Wet BRP Artikel 2.59 lid 3"]
        toelichting: 
          type: "string"
          enum: ["N.a.v. formeel verzoek om de situatie voor de registratie van het gewijzigde geslacht van persoon in het Personenregister te vergeten"]
        startdatumGeldigheid: 
          type: "string"
#          format: "datetime"        
        persoon:
          type: "object"
          properties:
            id:
              type: "string"
              readOnly: true
 
